Bug 112065 - [CI][BAT] igt@i915_selftest@live_execlists - incomplete - GEM_BUG_ON(execlists_active(&engine->execlists) != rq)
Summary: [CI][BAT] igt@i915_selftest@live_execlists - incomplete - GEM_BUG_ON(execlist...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: not set not set
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-18 13:19 UTC by Lakshmi
Modified: 2019-11-07 08:27 UTC (History)
1 user (show)

See Also:
i915 platform: CFL, KBL
i915 features: GEM/execlists


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-10-18 13:19:15 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7128/fi-whl-u/igt@i915_selftest@live_execlists.html
<0> [557.818869] i915_sel-4934    4.... 547336246us : live_timeslice_queue: live_timeslice_queue:590 GEM_BUG_ON(execlists_active(&engine->execlists) != rq)
<3> [557.826254] in_atomic(): 0, irqs_disabled(): 0, non_block: 0, pid: 4934, name: i915_selftest
<4> [557.826270] CPU: 4 PID: 4934 Comm: i915_selftest Tainted: G     UD           5.4.0-rc3-CI-CI_DRM_7128+ #1
<4> [557.826733]  __i915_subtests+0xb8/0x210 [i915]
<4> [557.826791]  ? __i915_live_teardown+0x50/0x50 [i915]
<4> [557.826846]  ? __intel_gt_live_setup+0x10/0x10 [i915]
<4> [557.826954]  i915_live_selftests+0x2c/0x60 [i915]
<4> [557.826999]  i915_pci_probe+0x93/0x1b0 [i915]
<4> [557.827139] Modules linked in: i915(+) amdgpu gpu_sched ttm vgem snd_hda_codec_hdmi mei_hdcp x86_pkg_temp_thermal coretemp btusb crct10dif_pclmul btrtl btbcm crc32_pclmul btintel snd_intel_nhlt snd_hda_codec bluetooth snd_hwdep e1000e snd_hda_core ghash_clmulni_intel snd_pcm ptp pps_core ecdh_generic ecc mei_me mei prime_numbers [last unloaded: i915]
<4> [557.839294] CPU: 4 PID: 4934 Comm: i915_selftest Tainted: G     UD W         5.4.0-rc3-CI-CI_DRM_7128+ #1
<4> [557.839637]  __i915_subtests+0xb8/0x210 [i915]
<4> [557.839695]  ? __i915_live_teardown+0x50/0x50 [i915]
<4> [557.839752]  ? __intel_gt_live_setup+0x10/0x10 [i915]
<4> [557.839860]  i915_live_selftests+0x2c/0x60 [i915]
<4> [557.839911]  i915_pci_probe+0x93/0x1b0 [i915]
Comment 1 CI Bug Log 2019-10-18 13:20:04 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* WHL: igt@i915_selftest@live_execlists - incomplete - GEM_BUG_ON(execlists_active(&amp;engine-&gt;execlists) != rq)
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7128/fi-whl-u/igt@i915_selftest@live_execlists.html
Comment 2 Chris Wilson 2019-10-18 13:22:22 UTC
This is quite perplexing. We never filled ELSP[1] for reasons unknown.
Comment 4 CI Bug Log 2019-10-18 19:52:44 UTC
A CI Bug Log filter associated to this bug has been updated:

{- WHL: igt@i915_selftest@live_execlists - incomplete - GEM_BUG_ON(execlists_active(&amp;engine-&gt;execlists) != rq) -}
{+ KBL WHL: igt@i915_selftest@live_execlists - incomplete - GEM_BUG_ON(execlists_active(&amp;engine-&gt;execlists) != rq) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7129/fi-kbl-7500u/igt@i915_selftest@live_execlists.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7129/fi-kbl-r/igt@i915_selftest@live_execlists.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7130/fi-kbl-soraka/igt@i915_selftest@live_execlists.html
Comment 6 CI Bug Log 2019-10-19 07:01:10 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL WHL: igt@i915_selftest@live_execlists - incomplete - GEM_BUG_ON(execlists_active(&amp;engine-&gt;execlists) != rq) -}
{+ KBL WHL: igt@i915_selftest@live_execlists - incomplete - GEM_BUG_ON(execlists_active(&amp;engine-&gt;execlists) != rq) +}


  No new failures caught with the new filter
Comment 7 CI Bug Log 2019-10-19 07:01:42 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL WHL : igt@runner@aborted - fail - Previous test: i915_selftest (live_execlists) -}
{+ KBL WHL : igt@runner@aborted - fail - Previous test: i915_selftest (live_execlists) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7131/shard-apl1/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7132/shard-apl3/igt@runner@aborted.html
Comment 8 CI Bug Log 2019-10-19 07:06:21 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL WHL: igt@i915_selftest@live_execlists - incomplete - GEM_BUG_ON(execlists_active(&amp;engine-&gt;execlists) != rq) -}
{+ APL BXT KBL WHL: igt@i915_selftest@live_execlists - incomplete - GEM_BUG_ON(execlists_active(&amp;engine-&gt;execlists) != rq) +}


  No new failures caught with the new filter
Comment 9 CI Bug Log 2019-10-19 07:07:07 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL WHL : igt@runner@aborted - fail - Previous test: i915_selftest (live_execlists) -}
{+ APL BXT KBL WHL : igt@runner@aborted - fail - Previous test: i915_selftest (live_execlists) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7132/fi-bxt-dsi/igt@runner@aborted.html
Comment 10 Chris Wilson 2019-10-21 10:07:15 UTC
commit 13ed13a4dcbf0b664acbf9e6f98ec7851cc59862 (HEAD -> drm-intel-next-queued, drm-intel/drm-intel-next-queued)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 21 09:02:11 2019 +0100

    drm/i915: Don't set queue_priority_hint if we don't kick the submission
    
    If we change the priority of the active context, then it has no impact
    on the decision of whether to preempt the active context -- we don't
    preempt the context with itself. In this situation, we elide the tasklet
    rescheduling and should *not* be marking up the queue_priority_hint as
    that may mask a later submission where we decide we don't have to kick
    the tasklet as a higher priority submission is pending (spoiler alert,
    it was not).
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Cc: Mika Kuoppala <mika.kuoppala@linux.intel.com>
    Reviewed-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20191021080226.537-1-chris@chris-wilson.co.uk
Comment 11 CI Bug Log 2019-10-22 09:30:07 UTC
A CI Bug Log filter associated to this bug has been updated:

{- APL BXT KBL WHL: igt@i915_selftest@live_execlists - incomplete - GEM_BUG_ON(execlists_active(&amp;engine-&gt;execlists) != rq) -}
{+ APL BXT KBL CFL WHL: igt@i915_selftest@live_execlists - incomplete - GEM_BUG_ON(execlists_active(&amp;engine-&gt;execlists) != rq) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5234/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7134/fi-cfl-8109u/igt@i915_selftest@live_execlists.html
Comment 12 CI Bug Log 2019-11-07 08:23:03 UTC
A CI Bug Log filter associated to this bug has been updated:

{- APL BXT KBL CFL WHL: igt@i915_selftest@live_execlists - incomplete - GEM_BUG_ON(execlists_active(&amp;engine-&gt;execlists) != rq) -}
{+ APL BXT SKL KBL CFL WHL: igt@i915_selftest@live_execlists - incomplete - GEM_BUG_ON(execlists_active(&amp;engine-&gt;execlists) != rq) +}


  No new failures caught with the new filter
Comment 13 Lakshmi 2019-11-07 08:27:35 UTC
(In reply to Chris Wilson from comment #10)
> commit 13ed13a4dcbf0b664acbf9e6f98ec7851cc59862 (HEAD ->
> drm-intel-next-queued, drm-intel/drm-intel-next-queued)
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Mon Oct 21 09:02:11 2019 +0100
> 
>     drm/i915: Don't set queue_priority_hint if we don't kick the submission
>     
>     If we change the priority of the active context, then it has no impact
>     on the decision of whether to preempt the active context -- we don't
>     preempt the context with itself. In this situation, we elide the tasklet
>     rescheduling and should *not* be marking up the queue_priority_hint as
>     that may mask a later submission where we decide we don't have to kick
>     the tasklet as a higher priority submission is pending (spoiler alert,
>     it was not).
>     
>     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Cc: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
>     Cc: Mika Kuoppala <mika.kuoppala@linux.intel.com>
>     Reviewed-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>
>     Link:
> https://patchwork.freedesktop.org/patch/msgid/20191021080226.537-1-
> chris@chris-wilson.co.uk

Thanks. Until this fix, the reproduction rate was 100%. Last seen CI_DRM_7137 (2 weeks, 3 days old), closing and archiving this issue.
Comment 14 CI Bug Log 2019-11-07 08:27:50 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.